Bug 130900 - login/out not logged by audit daemon
login/out not logged by audit daemon
Status: CLOSED NEXTRELEASE
Product: Red Hat Enterprise Linux 3
Classification: Red Hat
Component: laus (Show other bugs)
3.0
ia64 Linux
medium Severity medium
: ---
: ---
Assigned To: Charlie Bennett
Jay Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-08-25 13:04 EDT by Suzanne Hillman
Modified: 2015-01-07 19:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-09-08 13:31:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Suzanne Hillman 2004-08-25 13:04:39 EDT
Description of problem: Logging in and logging out is not being logged.


Version-Release number of selected component (if applicable):
laus-0.1-65RHEL3
pam-0.75-58

How reproducible:
always

Steps to Reproduce:
1. start laus
2. log in
3. log out
  
Actual results:
No audit log messages.

Expected results:
Should be log messages similar to:

2004-08-25T13:03:24   4444   8939       -1 [AUTH_success] PAM session
open: user=root (hostname=firefly.boston.redhat.com,
addr=172.16.80.26, terminal=/dev/pts/10)
2004-08-25T13:03:30   4445   8939       -1 [AUTH_success] PAM session
close: user=root (hostname=firefly.boston.redhat.com,
addr=172.16.80.26, terminal=/dev/pts/10)

Additional info:
Comment 1 Charlie Bennett 2004-09-08 13:31:27 EDT
This was found to be version skew between the user space and kernel
space audit.h header.  Fixed in laus-0.1-66RHEL3, slated for the next
release.

Note You need to log in before you can comment on or make changes to this bug.